org.apache.fop.fo.extensions.xmp

## Class XMPMetadata

- java.lang.Object
- - org.apache.fop.fo.extensions.xmp.XMPMetadata

All Implemented Interfaces:
  Serializable, ExtensionAttachment, org.apache.xmlgraphics.util.XMLizable

    public class XMPMetadata
    extends Object
    implements ExtensionAttachment, Serializable, org.apache.xmlgraphics.util.XMLizable

This is the pass-through value object for the XMP metadata extension.

See Also:
  Serialized Form

### Field Summary

Fields
`static String` `CATEGORY` The category URI for this extension attachment.

### Constructor Summary

Constructors
Constructor and Description
`XMPMetadata()` No-argument contructor.
`XMPMetadata(org.apache.xmlgraphics.xmp.Metadata metadata)` Default constructor.

### Method Summary

All Methods Instance Methods Concrete Methods
`String` `getCategory()` This method returns a category URI that allows a processor (layout manager or renderer) to determine if it supports this object.
`org.apache.xmlgraphics.xmp.Metadata` `getMetadata()`
`boolean` `isReadOnly()`
`void` `setMetadata(org.apache.xmlgraphics.xmp.Metadata metadata)` Sets the XMP metadata.
`void` `setReadOnly(boolean readOnly)` Sets the flag that decides whether a metadata packet may be modified.
`void` `toSAX(ContentHandler handler)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### CATEGORY

    public static final String CATEGORY

The category URI for this extension attachment.

See Also:
  Constant Field Values

### Constructor Detail

#### XMPMetadata

    public XMPMetadata()

No-argument contructor.

#### XMPMetadata

    public XMPMetadata(org.apache.xmlgraphics.xmp.Metadata metadata)

Default constructor.

Parameters:
  `metadata` - the XMP metadata

### Method Detail

#### getMetadata

    public org.apache.xmlgraphics.xmp.Metadata getMetadata()

Returns:
  the XMP metadata

#### setMetadata

    public void setMetadata(org.apache.xmlgraphics.xmp.Metadata metadata)

Sets the XMP metadata.

Parameters:
  `metadata` - the XMP metadata

#### isReadOnly

    public boolean isReadOnly()

Returns:
  true if the XMP metadata is marked read-only.

#### setReadOnly

    public void setReadOnly(boolean readOnly)

Sets the flag that decides whether a metadata packet may be modified.

Parameters:
  `readOnly` - true if the XMP metadata packet should be marked read-only.

#### getCategory

    public String getCategory()

This method returns a category URI that allows a processor (layout manager or renderer) to determine if it supports this object.

Specified by:
  `getCategory` in interface `ExtensionAttachment`
Returns:
  the category URI

#### toSAX

    public void toSAX(ContentHandler handler)
               throws SAXException

Specified by:
  `toSAX` in interface `org.apache.xmlgraphics.util.XMLizable`
Throws:
  `SAXException`